com.fasterxml.jackson.databind.json

## Class JsonMapper.Builder

- java.lang.Object
- - com.fasterxml.jackson.databind.cfg.MapperBuilder<JsonMapper,JsonMapper.Builder>
  - - com.fasterxml.jackson.databind.json.JsonMapper.Builder

Enclosing class:
  JsonMapper

    public static class JsonMapper.Builder
    extends MapperBuilder<JsonMapper,JsonMapper.Builder>

Base implementation for "Vanilla" `ObjectMapper`, used with JSON dataformat backend.

Since:
  2.10

### Field Summary

### Fields inherited from class com.fasterxml.jackson.databind.cfg.MapperBuilder

`_mapper`

### Constructor Summary

Constructors
Constructor and Description
`Builder(JsonMapper m)`

### Method Summary

All Methods Instance Methods Concrete Methods
`JsonMapper.Builder` `configure(JsonReadFeature f, boolean state)`
`JsonMapper.Builder` `configure(JsonWriteFeature f, boolean state)`
`JsonMapper.Builder` `disable(JsonReadFeature... features)`
`JsonMapper.Builder` `disable(JsonWriteFeature... features)`
`JsonMapper.Builder` `enable(JsonReadFeature... features)`
`JsonMapper.Builder` `enable(JsonWriteFeature... features)`

### Methods inherited from class com.fasterxml.jackson.databind.cfg.MapperBuilder

`_this, accessorNaming, activateDefaultTyping, activateDefaultTyping, activateDefaultTyping, activateDefaultTypingAsProperty, addHandler, addMixIn, addModule, addModules, addModules, annotationIntrospector, build, cacheProvider, clearProblemHandlers, configure, configure, configure, configure, configure, configure, configure, configure, constructorDetector, deactivateDefaultTyping, defaultAttributes, defaultBase64Variant, defaultDateFormat, defaultLeniency, defaultLocale, defaultMergeable, defaultPrettyPrinter, defaultPropertyInclusion, defaultSetterInfo, defaultTimeZone, disable, disable, disable, disable, disable, disable, disable, disable, enable, enable, enable, enable, enable, enable, enable, enable, enumNamingStrategy, filterProvider, findAndAddModules, findModules, findModules, handlerInstantiator, injectableValues, isEnabled, isEnabled, isEnabled, isEnabled, isEnabled, nodeFactory, polymorphicTypeValidator, propertyNamingStrategy, registerSubtypes, registerSubtypes, registerSubtypes, removeMixIn, serializationInclusion, serializerFactory, setDefaultTyping, streamFactory, subtypeResolver, typeFactory, visibility, visibility, withCoercionConfig, withCoercionConfig, withCoercionConfigDefaults, withConfigOverride`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Builder

    public Builder(JsonMapper m)

### Method Detail

#### enable

    public JsonMapper.Builder enable(JsonReadFeature... features)

#### disable

    public JsonMapper.Builder disable(JsonReadFeature... features)

#### configure

    public JsonMapper.Builder configure(JsonReadFeature f,
                                        boolean state)

#### enable

    public JsonMapper.Builder enable(JsonWriteFeature... features)

#### disable

    public JsonMapper.Builder disable(JsonWriteFeature... features)

#### configure

    public JsonMapper.Builder configure(JsonWriteFeature f,
                                        boolean state)